Unable to update to v3.11.1

Tijn71
Tijn71 Member Posts: 13 Member

Accoording to my Native Access my latest version of Traktor is v3.8. And it does not show v3.11.1 as update. So I can not update to v3.11.1. What is wrong?

Best Answer

Answers

Back To Top